[Deprecated]: v1.0
get
/ec-codelist-svc/rest/v1.0/codelist/{codeId}/code
Deprecated: Retrieves a list of all code list values matching the given code list ID and by data type.
Request
Path Parameters
-
codeId(required): string
ID of the codelist (depending on 'type' parameter, ID can be used as UUID, code name, or tag)Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
dataType: string
Data Type. Allowed values are current, history. Default is current.Example:
current -
mode(required): string
Mode of the study. Allowed values are active, test and trainingExample:
DESIGN -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Nested Schema : code
Type:
objectNested Schema : items
Type:
objectExamples
400 Response
Missing required field (codeId).
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.